package com.yingpaipay.business.domain.dto;

import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

@Deprecated
@Data
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class WpsR<E> {

    private Integer code;

    private String message;

    private E data;

    public static <E> WpsR<E> ok(E data) {
        WpsR<E> r = new WpsR<>();
        r.code = 0;
        r.message = "";
        r.data = data;
        return r;
    }

    public static <E> WpsR<E> ok() {
        return ok(null);
    }

}
